Bug 242924 - games/dMagnetic: Update to 0.19
Summary: games/dMagnetic: Update to 0.19
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-27 20:04 UTC by Thomas Dettbarn
Modified: 2020-02-19 18:54 UTC (History)
2 users (show)

See Also:
dettus: maintainer-feedback+


Attachments
This is the patch for the ports tree (978 bytes, patch)
2019-12-27 20:06 UTC, Thomas Dettbarn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dettbarn 2019-12-27 20:04:32 UTC

    
Comment 1 Thomas Dettbarn 2019-12-27 20:06:06 UTC
Created attachment 210263 [details]
This is the patch for the ports tree
Comment 2 Thomas Dettbarn 2019-12-27 20:07:00 UTC
I managed to update dMagnetic from 0.18 to 0.19. This is the port for the FreeBSD ports. Enjoy! :)
Comment 3 Jochen Neumeister freebsd_committer 2020-01-04 19:31:40 UTC
Hi dettus,

can you check the DL-URL? :-)

make makesum
===>  License BSD2CLAUSE accepted by the user
===>  License BSD2CLAUSE accepted by the user
===>   dMagnetic-0.19 depends on file: /usr/local/sbin/pkg - found
=> dMagnetic_0.19.tar.gz doesn't seem to exist in /usr/home/joneum/dev/ports/distfiles/.
=> Attempting to fetch https://www.dettus.net/dMagnetic/dMagnetic_0.19.tar.gz
fetch: https://www.dettus.net/dMagnetic/dMagnetic_0.19.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/dMagnetic_0.19.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/dMagnetic_0.19.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/home/joneum/dev/ports/distfiles/ and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/home/joneum/dev/ports/games/dMagnetic
*** Error code 1

Stop.
make: stopped in /usr/home/joneum/dev/ports/games/dMagnetic
Comment 4 Thomas Dettbarn 2020-01-04 20:53:53 UTC
It looks like I have forgotten something in the Makefile: 
I recently decided to release my projects as .tar.bz2, as opposed to .tar.gz.

And I was under the assumption that changing the filename in the pkg-descr was enough. Apparently, it was not!

Please, kind Sir, help me out: What do I have to put into the Makefile, to make it download 

https://www.dettus.net/dMagnetic/dMagnetic_0.19.tar.bz2

?
Comment 5 Thomas Dettbarn 2020-02-14 07:02:12 UTC
Please close this bug.